Package com.ocient.jdbc.proto

## Interface PlanProtocol.OffsetOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OffsetOperator`, `PlanProtocol.OffsetOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OffsetOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getGrouped()` If true, this is a grouped limit as is used by correlated subqueries
`String` `getGroupingKeys​(int index)` And these are the grouping keys
`com.google.protobuf.ByteString` `getGroupingKeysBytes​(int index)` And these are the grouping keys
`int` `getGroupingKeysCount()` And these are the grouping keys
`List<String>` `getGroupingKeysList()` And these are the grouping keys
`long` `getOffsetVal()` `uint64 offsetVal = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getOffsetVal

    long getOffsetVal()

`uint64 offsetVal = 1;`

Returns:
  The offsetVal.

#### getGrouped

    boolean getGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 2;`

Returns:
  The grouped.

#### getGroupingKeysList

    List<String> getGroupingKeysList()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Returns:
  A list containing the groupingKeys.

#### getGroupingKeysCount

    int getGroupingKeysCount()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Returns:
  The count of groupingKeys.

#### getGroupingKeys

    String getGroupingKeys​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The groupingKeys at the given index.

#### getGroupingKeysBytes

    com.google.protobuf.ByteString getGroupingKeysBytes​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the groupingKeys at the given index.